summaryrefslogtreecommitdiff
path: root/hints
diff options
context:
space:
mode:
authorPeter Prymmer <PPrymmer@factset.com>1999-07-21 10:15:39 -0700
committerJarkko Hietaniemi <jhi@iki.fi>1999-07-22 21:05:19 +0000
commit23e2eca9d602b36cb18ae832d6cb0e57158d245b (patch)
tree1cd600baf45df10e34dc74bd12470c3657a9a708 /hints
parent5f9d9a172723844585bda023d4f5b1e3ee810733 (diff)
downloadperl-23e2eca9d602b36cb18ae832d6cb0e57158d245b.tar.gz
Smarter OS390 hints.
To: chip@perlsupport.com, gsar@activestate.com, perl-mvs@perl.org, perl5-porters@perl.org Subject: [PATCH: 5.005_03 && 5.005_57]os390 hints file appendix stops bad builds Message-Id: <9907220015.AA11931@forte.com> p4raw-id: //depot/cfgperl@3721
Diffstat (limited to 'hints')
-rw-r--r--hints/os390.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/hints/os390.sh b/hints/os390.sh
index 08b60c878e..d6f6821242 100644
--- a/hints/os390.sh
+++ b/hints/os390.sh
@@ -59,3 +59,51 @@ archobjs=ebcdic.o
# We have our own cppstdin.
echo 'cat >.$$.c; '"$cc"' -E -Wc,NOLOC ${1+"$@"} .$$.c; rm .$$.c' > cppstdin
+
+#
+# Note that Makefile.SH employs a bare yacc to generate
+# perly.[hc] and a2p.[hc], hence you may wish to:
+#
+# alias yacc='myyacc'
+#
+# Then if you would like to use myyacc and skip past the
+# following warnings try invoking Configure like so:
+#
+# sh Configure -Dbyacc=yacc
+#
+# This trick ought to work even if your yacc is byacc.
+#
+if test "X$byacc" = "Xbyacc" ; then
+ if test -e /etc/yyparse.c ; then
+ : we should be OK - perhaps do a test -r?
+ else
+ cat <<EOWARN >&4
+
+Warning. You do not have a copy of yyparse.c, the default
+yacc parser template file, in place in /etc.
+EOWARN
+ if test -e /samples/yyparse.c ; then
+ cat <<EOWARN >&4
+
+There does appear to be a template file in /samples though.
+Please run:
+
+ cp /samples/yyparse.c /etc
+
+before attempting to Configure the build of $package.
+
+EOWARN
+ else
+ cat <<EOWARN >&4
+
+There does not appear to be one in /samples either.
+If you feel you can make use of an alternate yacc-like
+parser generator then please read the comments in the
+hints/os390.sh file carefully.
+
+EOWARN
+ fi
+ exit 1
+ fi
+fi
+